Bug 194544 - ISA-Slot Creative SB16 sound card not working on FC-5 but working on FC-3.
ISA-Slot Creative SB16 sound card not working on FC-5 but working on FC-3.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 16:56 EDT by Naveed Anwar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 07:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The above file is created by alsa-diagnostic-tool available in KDE-3.5 (3.53 KB, text/plain)
2006-06-08 16:56 EDT, Naveed Anwar
no flags Details

  None (edit)
Description Naveed Anwar 2006-06-08 16:56:10 EDT
------- System Config Soundcard --------
Thu Jun  1 13:18:18 PKT 2006

------- lspci --------
00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
(rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:0f.0 Serial controller: 3Com Corp, Modem Division 56K FaxModem Model 5610
(rev 01)
00:10.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 05)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 RF/SG AGP

------- lsmod --------
Module                  Size  Used by
r128                   37569  1 
drm                    63701  2 r128
ipv6                  225569  12 
autofs4                19013  1 
hidp                   15937  2 
l2cap                  23617  5 hidp
bluetooth              44069  2 hidp,l2cap
sunrpc                136573  1 
vfat                   11969  4 
fat                    47709  1 vfat
dm_mirror              19985  0 
dm_mod                 50521  1 dm_mirror
video                  14917  0 
button                  6609  0 
battery                 9285  0 
ac                      4933  0 
lp                     12297  0 
parport_pc             25445  1 
parport                34313  2 lp,parport_pc
floppy                 57733  0 
nvram                   8393  0 
uhci_hcd               28881  0 
i2c_piix4               8529  0 
i2c_core               20673  1 i2c_piix4
e100                   33093  0 
mii                     5313  1 e100
ext3                  116809  3 
jbd                    53077  1 ext3

------- /etc/modprobe.conf --------
alias eth0 e100
alias snd-card-0 snd-sb16
options snd-card-0 index=0
options snd-sb16 index=0
remove snd-sb16 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-sb16

------- /etc/asound.conf --------


------- aplay -l --------
aplay: device_list:222: no soundcards found...

------- amixer --------


------- /proc/asound/version --------


------- rpm -q alsa-lib --------
alsa-lib-1.0.11-3.rc2.2

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-4.rc2

------- /proc/asound/modules --------


------- /proc/asound/pcm --------


------- system-config-soundcard --------

Wrong card index 0...
/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  gtk.main()
ALSA lib pcm_hw.c:1305:(_snd_pcm_hw_open) Invalid value for card
aplay: main:547: audio open error: No such device
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
Wrong card index 0...
ALSA lib pcm_hw.c:1305:(_snd_pcm_hw_open) Invalid value for card
aplay: main:547: audio open error: No such device
-------------------------------------------------------------------
Comment 1 Naveed Anwar 2006-06-08 16:56:11 EDT
Created attachment 130786 [details]
The above file is created by alsa-diagnostic-tool available in KDE-3.5
Comment 2 Martin Stransky 2006-06-15 11:00:58 EDT
please check "modprobe snd-sb16" as root (on console)
support for ISA cards was removed in FC5 kernel (I don't know why)

Note You need to log in before you can comment on or make changes to this bug.